中危 synapse 路径遍历漏洞

CVE编号

CVE-2021-41281

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-11-24
漏洞描述
synapse是一个应用程序。用于开放式联合即时消息和VoIP
Synapse package 1.47.1之前版本存在路径遍历漏洞,攻击者可利用该漏洞绕过身份验证过程,从远程服务器下载文件到任意目录中。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://github.com/matrix-org/synapse/security/advisories/GHSA-3hfw-x7gx-437c
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 matrix synapse * Up to
(excluding)
1.47.1
运行在以下环境
系统 alpine_3.15 synapse * Up to
(excluding)
1.47.1-r0
运行在以下环境
系统 alpine_edge synapse * Up to
(excluding)
1.47.1-r0
运行在以下环境
系统 fedora_34 synapse * Up to
(excluding)
1.47.1-1.fc34
运行在以下环境
系统 fedora_35 synapse * Up to
(excluding)
1.47.1-1.fc35
阿里云评分
5.9
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-22 对路径名的限制不恰当(路径遍历)
阿里云安全产品覆盖情况